<html>
    <head>
        <meta charset="UTF-8">
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
        <link rel="stylesheet" href="index.css">
        <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
        <script src="https://unpkg.com/axios/dist/axios.min.js"></script>
    </head>
    <body>
        
        <div class="container" id="app">
            <form>
                Speidel IP/name: <input id="speidel" size="12" v-on:blur="ip_updated" v-model="speidel">
                <span style="v-bind=message_style">{{ message }}</span>

                <div v-if="is_online">
                    <span>
                        Warn when temp is <span v-on:click.stop="toggle_comparing">{{ comparing }}</span> than : <input id="warntemp" size="3" v-model="warn_temp">
                    </span>
                    <audio ref="soundHandle" muted id="soundHandle" src="data/bing.wav" autoplay allow="autoplay"></audio>
                    Current Temp: <span id="temp">{{ temp }}</span>
                    <span v-if="monitoring_active">
                        <button type="button" v-on:click.stop="stop_monitoring" id="resume">Stop monitoring</button>
                    </span>
                    <span v-else="monitoring_active">
                        <button type="button" v-on:click.stop="resume_monitoring" id="resume">Start monitoring</button>
                    </span>
                    <span v-if="temp">Diff Temp: <span id="diff">{{ diff }}
                    </span>
                </div>
            </form>
        </div>            
        <script src="index.js"></script>
    </body>
</html>
